package com.example.mlearningremesla

import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.Toast
import com.example.mlearningremesla.databinding.ActivityKovarstviBinding
import com.example.mlearningremesla.databinding.ActivityMenuBinding
import com.google.firebase.auth.FirebaseAuth

class KovarstviActivity : AppCompatActivity() {
    private lateinit var binding: ActivityKovarstviBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityKovarstviBinding.inflate(layoutInflater)
        val view = binding.root
        setContentView(view)
        initData();
    }
    private fun initData(){
        clickListener();
    }
    private fun clickListener(){
        binding.lekce1.setOnClickListener {
            startActivity(Intent(this,Lekce1Activity::class.java))
            finish()
        }
        binding.lekce2.setOnClickListener{
            startActivity(Intent(this,Lekce2Activity::class.java))
            finish()
        }
        binding.lekce3.setOnClickListener{
            startActivity(Intent(this,Lekce3Activity::class.java))
            finish()
        }
        binding.lekce4.setOnClickListener{
            startActivity(Intent(this,Lekce4Activity::class.java))
            finish()
        }
        binding.ostryTest.setOnClickListener{
            startActivity(Intent(this,OstryTestActivity::class.java))
            finish()
        }
        binding.btnZpetDoMenu.setOnClickListener{
            startActivity(Intent(this,MenuActivity::class.java))
            finish()
        }

    }

}