package com.example.mlearningremesla

import android.content.Intent
import android.net.Uri
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.Button
import android.widget.MediaController
import android.widget.Toast
import android.widget.VideoView
import com.example.mlearningremesla.databinding.ActivityKovarstviBinding
import com.example.mlearningremesla.databinding.ActivityLekce2Binding
import com.google.android.youtube.player.YouTubeBaseActivity
import com.google.android.youtube.player.YouTubeInitializationResult
import com.google.android.youtube.player.YouTubePlayer
import com.google.android.youtube.player.YouTubePlayerView
import kotlinx.android.synthetic.main.activity_ostrytest.*

class Lekce2Activity : YouTubeBaseActivity() {

    private lateinit var binding: ActivityLekce2Binding

    val VIDEO_ID = "4lWsT4GWy1s"
    val Youtube_API_Key = "AIzaSyB0gHg_lGEIBE8ZrAQjH-fylgfV-YWhduk"

    private lateinit var youtubePlayer: YouTubePlayerView
    private lateinit var playBtnLekce2 : Button

    lateinit var youtubePlayerInit : YouTubePlayer.OnInitializedListener

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityLekce2Binding.inflate(layoutInflater)
        val view = binding.root
        setContentView(view)
        initData();

        progressHodnota.text ="2/5"

        //Video
        youtubePlayer = findViewById(R.id.videoLekce2)
        playBtnLekce2 = findViewById(R.id.playBtnLekce2)

        youtubePlayerInit = object : YouTubePlayer.OnInitializedListener {
            override fun onInitializationSuccess(
                p0: YouTubePlayer.Provider?,
                p1: YouTubePlayer?,
                p2: Boolean
            ) {
                p1?.loadVideo(VIDEO_ID)
            }

            override fun onInitializationFailure(
                p0: YouTubePlayer.Provider?,
                p1: YouTubeInitializationResult?
            ) {
                Toast.makeText(applicationContext, "Failed", Toast.LENGTH_SHORT).show()
            }

        }
        playBtnLekce2.setOnClickListener{
            youtubePlayer.initialize(Youtube_API_Key, youtubePlayerInit)

        }
    }

    private fun initData(){
        clickListener();
    }

    private fun clickListener(){
        binding.lekce1.setOnClickListener {
            startActivity(Intent(this,Lekce1Activity::class.java))
            finish()
        }
        binding.lekce3.setOnClickListener{
            startActivity(Intent(this,Lekce3Activity::class.java))
            finish()
        }

    }
}
