package com.example.mlearningremesla

import android.content.Intent
import android.os.Bundle
import android.widget.Button
import android.widget.Toast
import com.example.mlearningremesla.databinding.ActivityLekce3Binding
import com.google.android.youtube.player.YouTubeBaseActivity
import com.google.android.youtube.player.YouTubeInitializationResult
import com.google.android.youtube.player.YouTubePlayer
import com.google.android.youtube.player.YouTubePlayerView
import kotlinx.android.synthetic.main.activity_ostrytest.*

class Lekce3Activity : YouTubeBaseActivity() {
    private lateinit var binding: ActivityLekce3Binding

    val VIDEO_ID = "KiznhBIQDoI"
    val Youtube_API_Key = "AIzaSyB0gHg_lGEIBE8ZrAQjH-fylgfV-YWhduk"

    private lateinit var youtubePlayer: YouTubePlayerView
    private lateinit var playBtnLekce3 : Button

    lateinit var youtubePlayerInit : YouTubePlayer.OnInitializedListener

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityLekce3Binding.inflate(layoutInflater)
        val view = binding.root
        setContentView(view)
        initData();

        progressHodnota.text ="3/5"


        youtubePlayer = findViewById(R.id.videoLekce3)
        playBtnLekce3 = findViewById(R.id.playBtnLekce3)

        youtubePlayerInit = object : YouTubePlayer.OnInitializedListener {
            override fun onInitializationSuccess(
                p0: YouTubePlayer.Provider?,
                p1: YouTubePlayer?,
                p2: Boolean
            ) {
                p1?.loadVideo(VIDEO_ID)
            }

            override fun onInitializationFailure(
                p0: YouTubePlayer.Provider?,
                p1: YouTubeInitializationResult?
            ) {
                Toast.makeText(applicationContext, "Failed", Toast.LENGTH_SHORT).show()
            }


        }

        playBtnLekce3.setOnClickListener{
            youtubePlayer.initialize(Youtube_API_Key, youtubePlayerInit)

        }

    }

    private fun initData(){
        clickListener();
    }

    private fun clickListener(){
        binding.lekce2.setOnClickListener{
            startActivity(Intent(this,Lekce2Activity::class.java))
            finish()
        }

        binding.lekce4.setOnClickListener{
            startActivity(Intent(this,Lekce4Activity::class.java))
            finish()
        }

    }
}