package com.example.mlearningremesla

import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.Button
import android.widget.Toast
import com.example.mlearningremesla.databinding.ActivityKovarstviBinding
import com.example.mlearningremesla.databinding.ActivityLekce4Binding
import com.google.android.youtube.player.YouTubeBaseActivity
import com.google.android.youtube.player.YouTubeInitializationResult
import com.google.android.youtube.player.YouTubePlayer
import com.google.android.youtube.player.YouTubePlayerView
import kotlinx.android.synthetic.main.activity_ostrytest.*

class Lekce4Activity : YouTubeBaseActivity() {
    private lateinit var binding: ActivityLekce4Binding

    val VIDEO_ID = "8O-zw6l6QAY"
    val Youtube_API_Key = "AIzaSyB0gHg_lGEIBE8ZrAQjH-fylgfV-YWhduk"

    private lateinit var youtubePlayer: YouTubePlayerView
    private lateinit var playBtnLekce4 : Button

    lateinit var youtubePlayerInit : YouTubePlayer.OnInitializedListener

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityLekce4Binding.inflate(layoutInflater)
        val view = binding.root
        setContentView(view)
        initData();

        progressHodnota.text ="4/5"

        //Video
        youtubePlayer = findViewById(R.id.videoLekce4)
        playBtnLekce4 = findViewById(R.id.playBtnLekce4)

        youtubePlayerInit = object : YouTubePlayer.OnInitializedListener {
            override fun onInitializationSuccess(
                p0: YouTubePlayer.Provider?,
                p1: YouTubePlayer?,
                p2: Boolean
            ) {
                p1?.loadVideo(VIDEO_ID)
            }

            override fun onInitializationFailure(
                p0: YouTubePlayer.Provider?,
                p1: YouTubeInitializationResult?
            ) {
                Toast.makeText(applicationContext, "Failed", Toast.LENGTH_SHORT).show()
            }

        }
        playBtnLekce4.setOnClickListener{
            youtubePlayer.initialize(Youtube_API_Key, youtubePlayerInit)

        }
    }

    private fun initData(){
        clickListener();
    }

    private fun clickListener(){
        binding.lekce3.setOnClickListener{
            startActivity(Intent(this,Lekce3Activity::class.java))
            finish()
        }
        binding.lekce5.setOnClickListener{
            startActivity(Intent(this,Lekce5Activity::class.java))
            finish()
        }


    }
}