package com.example.mlearningremesla

import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.Button
import android.widget.Toast
import com.example.mlearningremesla.databinding.ActivityLekce5Binding
import com.google.android.youtube.player.YouTubeInitializationResult
import com.google.android.youtube.player.YouTubePlayer
import com.google.android.youtube.player.YouTubePlayerView
import kotlinx.android.synthetic.main.activity_ostrytest.*

class Lekce5Activity : AppCompatActivity() {

    private lateinit var binding: ActivityLekce5Binding

    val VIDEO_ID = "V68TBE99z9s"
    val Youtube_API_Key = "AIzaSyB0gHg_lGEIBE8ZrAQjH-fylgfV-YWhduk"

    private lateinit var youtubePlayer: YouTubePlayerView
    private lateinit var playBtnLekce5 : Button

    lateinit var youtubePlayerInit : YouTubePlayer.OnInitializedListener

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityLekce5Binding.inflate(layoutInflater)
        val view = binding.root
        setContentView(view)
        initData();

        progressHodnota.text ="5/5"
        //Video
        youtubePlayer = findViewById(R.id.videoLekce5)
        playBtnLekce5 = findViewById(R.id.playBtnLekce5)

        youtubePlayerInit = object : YouTubePlayer.OnInitializedListener {
            override fun onInitializationSuccess(
                p0: YouTubePlayer.Provider?,
                p1: YouTubePlayer?,
                p2: Boolean
            ) {
                p1?.loadVideo(VIDEO_ID)
            }

            override fun onInitializationFailure(
                p0: YouTubePlayer.Provider?,
                p1: YouTubeInitializationResult?
            ) {
                Toast.makeText(applicationContext, "Failed", Toast.LENGTH_SHORT).show()
            }

        }
        playBtnLekce5.setOnClickListener{
            youtubePlayer.initialize(Youtube_API_Key, youtubePlayerInit)

        }
    }

    private fun initData(){
        clickListener();
    }

    private fun clickListener(){
        binding.lekce4.setOnClickListener{
            startActivity(Intent(this,Lekce4Activity::class.java))
            finish()
        }
        binding.kovarstvi.setOnClickListener{
            startActivity(Intent(this,KovarstviActivity::class.java))
            finish()
        }


    }
}