package com.example.mlearningremesla

import java.util.*
import kotlin.collections.ArrayList

object Constants {

    const val TOTAL_QUESTIONS: String = "Počet_otázek"
    const val CORRECT_ANSWERS: String = "Správné_odpovědi"


    fun getQuestions(): ArrayList<Otazky>{
        val questionList = ArrayList<Otazky>()

        //1
        val que1 = Otazky(1, "Jak se kovářství lidově říká?",
            "Špinavé řemeslo", "Černé řemeslo",
            "Žhavé řemeslo", "Hnědé řemeslo",
            2
        )
        questionList.add(que1)

        //2
        val que2 = Otazky(2, "Nevýhoda dřevěného uhlí",
            "Je potřeba větší množství, je tedy drahé", "Těžko se zapaluje",
            "Je pro začátečníky", "Lze těžce sehnat",
            1
        )
        questionList.add(que2)

        //3
        val que3 = Otazky(3, "Jaká je největší nevýhoda využívání kovářského koksu",
            "Vysoká spotřeba", "Vysoká cena",
            "Vysoká teplota", "Velmi těžce se shání",
            4
        )
        questionList.add(que3)

        //4
        val que4 = Otazky(4, "Rychlost roztopení dřevěného uhlí",
            "1 minuta", "10 minut",
            "3 minuty", "15 minut",
            3
        )
        questionList.add(que4)

        //5
        val que5 = Otazky(5, "Nevýhodou Kovářského černé uhlí je",
            "Velká kouřivost a prašnost", "Cena",
            "Krátká výdrž", "Dostupnost",
            1
        )
        questionList.add(que5)

        //6
        val que6 = Otazky(6, "Které palivo má nejdelší výdrž",
            "Antracit", "Koks",
            "Hnědé uhlí", "Kovářské černé uhlí",
            1
        )
        questionList.add(que6)

        //7
        val que7 = Otazky(7, "Jak se nazývá kulatý roh kovadliny",
            "Záda kovadliny", "Špic",
            "Hrot", "Kužel",
            2
        )
        questionList.add(que7)

        //8
        val que8 = Otazky(8, "Kulatý roh kovadliny se používá k:",
            "Neslouží k ani jedné z možnosti", "Odložení materiálu",
            "Odsazování materiálu", "Ohýbání materiálu do kruhů",
            4
        )
        questionList.add(que8)

        //9
        val que9 = Otazky(9, "K čemu slouží kulaté otvory na kovadlině",
            "K ohybání", "K probíjení",
            "Pro tvarování", "K uchycení materiálu",
            2
        )
        questionList.add(que9)

        //10
        val que10 = Otazky(10, "Do jáke výšky kovadlinu nastavujeme",
            "Pod kolena kováře", "1 metr",
            "85 cm", "Tak aby se natažená ruka dotýkala kovadliny",
            4
        )
        questionList.add(que10)

        //11
        val que11 = Otazky(11, "Jak na osazení ze dvou stran když jste sám",
            "Nelze v jedné osobě", "Pomocí Špicu",
            "Pomocí kulatých otvorů na kovadlině", "Pomocí Gilotiny",
            4
        )
        questionList.add(que11)

        //12
        val que12 = Otazky(12, "Co je to osazení",
            "Uchycení materiálu pro snažší manipulaci", "Prudká změna tvaru v určitém místě materiálu",
            "Probití materiálu", "Ohnutí materiálu do spirály",
            2
        )
        questionList.add(que12)

        //1
        val que13 = Otazky(13, "Kovací teplota obyčejné ocele",
            "Přibližně 550 °C", "Přibližně 650 až 1100 stupňů Cellsia",
            "Přibližně 300 °C", "Přibližně 2000 °C",
            2
        )
        questionList.add(que13)

        //14
        val que14 = Otazky(14, "Jakou barvu má ocel při teplotách větších jak 1100 °C ",
            "Žlutou", "Tmavě oranžovou",
            "Bílou", "Tmavě červenou",
            3
        )
        questionList.add(que14)
        //15
        val que15 = Otazky(15, "K čemu slouží Utinka",
            "K odštípnutí materiálu", "K ohnutí materiálu",
            "K osazení materiálu", "K roztažení materiálu",
            1
        )
        questionList.add(que15)

        questionList.shuffle()
        return questionList
    }
}