package com.example.mlearningremesla

import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import com.example.mlearningremesla.databinding.ActivityMainBinding
import com.google.firebase.auth.FirebaseAuth

class MainActivity : AppCompatActivity() {

    private lateinit var auth: FirebaseAuth;
    private lateinit var binding: ActivityMainBinding;

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityMainBinding.inflate(layoutInflater)
        var view = binding.root
        setContentView(view)
        initData();
    }
    private fun initData(){
        auth = FirebaseAuth.getInstance();
        //auth.signOut()
        checkIfUserIsLoggedIn();
    }

    private fun checkIfUserIsLoggedIn(){
        val currentUser = auth.currentUser;
        if (currentUser != null){
            startActivity(Intent(this,MenuActivity::class.java))
            finish()
        }else{
            startActivity(Intent(this,LoginAcitvity::class.java))
            finish()

        }
    }

}